import { Component, OnInit, Input } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';

@Component({
  selector: 'app-player-comp',
  templateUrl: './player-comp.component.html',
  styleUrls: ['./player-comp.component.css']
})
export class PlayerCompComponent implements OnInit {

  constructor(private sanitizer:DomSanitizer) { }
  url:any;
  @Input() videoId;


  playVideo(youtubeVID){
    console.log(youtubeVID);
    this.url = this.sanitizer.bypassSecurityTrustResourceUrl(`https://www.youtube.com/embed/${youtubeVID}`);
    console.log(this.url.changingThisBreaksApplicationSecurity);
  }
  ngOnInit(): void {
    // this.playVideo('tcMMmXpw6d8')
  }

   ngOnChanges(changes:any):void{
     console.log(changes);
     if(changes.videoId){
      this.playVideo(this.videoId);
     }
    
   }

}
