import { Component, OnInit, Output, EventEmitter } from '@angular/core';
import { Video } from '../video';
@Component({
  selector: 'app-add-video-comp',
  templateUrl: './add-video-comp.component.html',
  styleUrls: ['./add-video-comp.component.css']
})
export class AddVideoCompComponent implements OnInit {

  constructor() { }
 @Output() newVideo:any = new EventEmitter();

  addMovie(title,vUrl){
  const url = new URLSearchParams(new URL(vUrl).search);
  this.newVideo.emit(new Video(title,url.get('v')))
  }

  ngOnInit(): void {
  }

}
