import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppComponent } from './app.component';
import { MoviesCompComponent } from './movies-comp/movies-comp.component';
import { PlayerCompComponent } from './player-comp/player-comp.component';
import { AddVideoCompComponent } from './add-video-comp/add-video-comp.component';
import { MainComponent } from './main/main.component';

@NgModule({
  declarations: [
    AppComponent,
    MoviesCompComponent,
    PlayerCompComponent,
    AddVideoCompComponent,
    MainComponent
  ],
  imports: [
    BrowserModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
