import { Component, OnInit, Output } from '@angular/core';
import { Video } from '../video';

@Component({
  selector: 'app-movies-comp',
  templateUrl: './movies-comp.component.html',
  styleUrls: ['./movies-comp.component.css']
})
export class MoviesCompComponent implements OnInit {

  constructor() { }
  videoList:Video[] = [];
  @Output () currentVideo:string = 'https://www.youtube.com/watch?v=YcPczTD8KBo';

  playVideo(vId){
    this.currentVideo = vId;
  }
  addNewVideo(e){
    console.log(e);
    this.videoList.push(e);
  }

  showAddMovieForm:boolean = false;
  ngOnInit(): void {
  }

}
